amule crashed with SIGSEGV in wxMBConv::ToWChar()

Bug #215164 reported by Perfecto on 2008-04-10
8
Affects Status Importance Assigned to Milestone
AMule
Invalid
Undecided
Unassigned
amule (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: amule

Ctrl+Alt+Del after a screen problem with gl-117 and when I login again the crash message appeared

ProblemType: Crash
Architecture: amd64
Date: Thu Apr 10 14:32:11 2008
DistroRelease: Ubuntu 8.04
ExecutablePath: /usr/bin/amule
NonfreeKernelModules: nvidia
Package: amule 2.2.0~svn20080218-0ubuntu3
PackageArchitecture: amd64
ProcCmdline: amule
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: amule
StacktraceTop:
 wxMBConv::ToWChar ()
 wxMBConv::MB2WC ()
 wxMBConv::ToWChar ()
 wxMBConv::MB2WC ()
 wxMBConv::ToWChar ()
Title: amule crashed with SIGSEGV in wxMBConv::ToWChar()
Uname: Linux 2.6.24-15-generic x86_64
UserGroups: adm admin audio cdrom clamav dialout dip fax floppy fuse lpadmin plugdev sambashare scanner tape users video

SegvAnalysis:
 Segfault happened at: 0x7f6a36e0b53f <_ZNK8wxMBConv7ToWCharEPwmPKcm+15>: push %r12
 PC (0x7f6a36e0b53f) ok
 source "%r12" ok
 destination "(%rsp)" (0x7fff40177000) ok
 SP (0x7fff40177000) ok
 Reason could not be automatically determined.
SegvReason: Reason could not be automatically determined.

Perfecto (perfecto) wrote :

StacktraceTop:wxMBConv::ToWChar (this=0x7f6a370c5b90, dst=0x0, dstLen=0,
nanosleep () from /lib/libpthread.so.0
wxMicroSleep (microseconds=<value optimized out>) at ../src/unix/utilsunx.cpp:191
UploadBandwidthThrottler::Entry (this=0x250f4c0)
wxThreadInternal::PthreadStart (thread=0x250f4c0) at ../src/unix/threadpsx.cpp:766

Changed in amule:
importance: Undecided → Medium
Kees Cook (kees) on 2009-09-16
description: updated
Kees Cook (kees) on 2010-04-22
description: updated
Stu Redman (sturedman) wrote :

This crash is from an unsupported SVN version of aMule 2.2.0 from over two years ago. There have been six stable aMule releases since. Current stable version of aMule in Ubuntu is 2.2.6.

I suggest you close this bug.

Cheers,

Stu Redman (aMule developer)

shankao (shankao) wrote :

You're right, that would be the better option. Anyway, 8.04 is a still supported ubuntu release, a backport could be the better here.

@Perfecto: I'm closing this bug as it has being fixed in a newer version of aMule present in the latest stable release (lucid) that you should consider upgrading to.
If you need a fix for the bug in previous versions of Ubuntu, please follow the instructions for "How to request new packages" at https://help.ubuntu.com/community/UbuntuBackports#request-new-packages

Changed in amule (Ubuntu):
status: New → Fix Released
Changed in amule:
importance: Unknown → Undecided
status: Unknown → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.